using System.Text.Json.Serialization;

namespace YandexMusic.API.Models.Account;

public class YAccessToken
{
    [JsonPropertyName("status")]
    public string Status { get; set; }

    [JsonPropertyName("access_token")]
    public string AccessToken { get; set; }

    [JsonPropertyName("expires_in")]
    public string Expires { get; set; }

    [JsonPropertyName("token_type")]
    public string TokenType { get; set; }

    public string Uid { get; set; }
}
